{
  "schema_version": "1.4.0",
  "id": "GHSA-r4gp-h7pq-qx3w",
  "modified": "2022-05-17T02:02:17Z",
  "published": "2022-05-17T02:02:17Z",
  "aliases": [
    "CVE-2011-0493"
  ],
  "details": "Tor before 0.2.1.29 and 0.2.2.x before 0.2.2.21-alpha might allow remote attackers to cause a denial of service (assertion failure and daemon exit) via vectors related to malformed router caches and improper handling of integer values.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-0493"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/64864"
    },
    {
      "type": "WEB",
      "url": "https://gitweb.torproject.org/tor.git/blob/refs/heads/release-0.2.2:/ChangeLog"
    },
    {
      "type": "WEB",
      "url": "https://trac.torproject.org/projects/tor/ticket/2352"
    },
    {
      "type": "WEB",
      "url": "http://archives.seul.org/or/announce/Jan-2011/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://blog.torproject.org/blog/tor-02129-released-security-patches"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/45953"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-01-19T12:00:00Z"
  }
}